# Hermes Deployment Environment Manager for GitLab
# Hermes Deployment Environment Manager for GitLab

Hermes is a CD script generator and Deployment Credential Manager for GitLab CI/CD.

The goal is to stop writing long and complex .gitlab-ci.yml files for handling remote deployments, or exposing sensative credentials to employees who should not have access, but who are considered maintainers of repositories. Instead, add a single line to your deployment job, and Hermes will tell your job how to handle it for you.

Some of the features of Hermes include:

* Deployment Methods:
  * rsync via SSH
    * Using SSH Password
    * Using PEM Key
* Multiple Deployments per Job
* Deployment-Order Protection - Prevent Older Deployments from overwriting newer deployments when running at the same time
* Secured Credential Management (sensative credentials are not exposed after they are stored)
* Pre and Post Syncronization Remote Commands
* Per-Project Global and Per-Credential Webhooks post-deployment

For more information see the [Hermes Documentation](http://redmine.jak.guru/projects/hermes/wiki), or see the [demo](https://hermes-demo.jak.guru/)