'use strict'

class SystemController {
    async getSystem({response}) {
        const Config = use('Config');
        const ret = {
            host: Config.get('gitlab.host'),
            key: Config.get('gitlab.app_id'),
            version: use('version'),
            demo: Config.get('app.demo'),
        }
        if ('' == ret.host || '' == ret.key || '' == Config.get('gitlab.token')) {
            return response.api(500, null, [{message: 'GitLab Integration has not been configured. Please contact site administrator.'}]);
        }
        return response.api(200, ret);
    }

    async handleFourOhFour({response}) {
        return response.api(404, null, [{message: 'No Such Endpoint'}]);
    }
}

module.exports = SystemController
