'use strict'
/** @typedef {import('@adonisjs/framework/src/Request')} Request */
/** @typedef {import('@adonisjs/framework/src/Response')} Response */
/** @typedef {import('@adonisjs/framework/src/View')} View */

const Cache = use('Cache');

class JwtSession {
  /**
   * @param {object} ctx
   * @param {Request} ctx.request
   * @param {Function} next
   */
  async handle ({ auth, response }, next) {
    const apiToken = auth.getAuthHeader()
    const status = await Cache.get(apiToken);
    if ( ('string' === typeof(status) && 'true' !== status) || ('boolean' === typeof(status) && true !== status ) || ['string', 'boolean'].indexOf(typeof(status)) === -1) {
      return response.api(401, null, [{message: 'You must be logged in to access this resource'}]);
    }
    await next()
  }
}

module.exports = JwtSession
