'use strict'

/** @type {typeof import('@adonisjs/lucid/src/Lucid/Model')} */
const Model = use('Model')

class RepositoryCredential extends Model {
    static boot () {
        super.boot()
        this.addTrait('Serializable', ['additional']);
        this.addTrait('Encryptable', ['user', 'host', 'port', 'password', 'pemkey', 'path', 'suser', 'sgroup']);
        this.addTrait('Broadcastable', {event: 'credentials'});
    }
}

module.exports = RepositoryCredential
