'use strict'

class Broadcastable {
  register (Model, options = {event: ''}) {
    Model.addHook('afterCreate', async (item) => {
      const socket = require('../../Services/socket.io');
      socket.broadcast(`${options.event}.new`, item);
    });
    Model.addHook('afterUpdate', async (item) => {
      const socket = require('../../Services/socket.io');
      socket.broadcast(`${options.event}.updated`, item);
    });
    Model.addHook('afterSave', async (item) => {
      const socket = require('../../Services/socket.io');
      socket.broadcast(options.event, item);
    });
  }
}

module.exports = Broadcastable
