FROM node:10
ENV LC_ALL=C.UTF-8
ENV NODE_ENV=production
ENV CACHE_STORE=database
ENV APP_KEY=
ENV APP_DEBUG=false
ENV IS_DEMO=false
ENV DB_CONNECTION=sqlite
ENV DB_HOST=127.0.0.1
ENV DB_PORT=3306
ENV DB_USER=root
ENV DB_PASSWORD=
ENV DB_DATABASE=adonis
ENV DB_SSL=false
ENV REDIS_HOST=127.0.0.1
ENV REDIS_PORT=6379
ENV REDIS_PASSWORD=
ENV REDIS_DB_ID=0
ENV REDIS_PREFIX=
ENV GITLAB_HOST=
ENV GITLAB_APP_ID=
ENV GITLAB_APP_SECRET=
ENV GITLAB_ADMIN_TOKEN=
ENV GITLAB_CREDENTIALS_GROUP=0
WORKDIR /home/hermes
RUN apt-get update -y
RUN apt-get install nginx libpng-dev -y
RUN mkdir -p /etc/nginx/ssl/
RUN touch /root/.rnd
RUN openssl req -x509 -nodes -days 365 -newkey rsa:2048 -keyout /etc/nginx/ssl/nginx.pem -out /etc/nginx/ssl/nginx.crt -subj "/C=GB/ST=London/L=London/O=Global Security/OU=IT Department/CN=example.com"
COPY ./nginx.conf /etc/nginx/sites-available/default
RUN nginx -t
RUN npm install @adonisjs/cli -g
COPY package*.json ./
RUN npm ci
COPY . .
# RUN ls -l -a ./node_modules
RUN npm run build
RUN chmod +x /home/hermes/run.sh
EXPOSE 80/tcp
EXPOSE 443/tcp
EXPOSE 3333/tcp
CMD ["/home/hermes/run.sh"]