'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema')

class RepositoryCredentialsSchema extends Schema {
  up () {
    this.create('repository_credentials', (table) => {
      table.increments();
      table.string('environment').notNullable();
      table.boolean('active');
      table.text('user').nullable();
      table.text('host').nullable();
      table.text('port').nullable();
      table.text('authmethod').notNullable();
      table.text('password').nullable();
      table.text('pemkey').nullable();
      table.text('method').notNullable();
      table.text('path').nullable();
      table.text('suser').nullable();
      table.text('sgroup').nullable();
      table.text('predeploy').notNullable();
      table.text('postdeploy').notNullable();
      table.text('additional').notNullable();
      table.integer('gitlab_repository_id').unsigned().notNullable();
      table.timestamps();
    })
  }

  down () {
    this.drop('repository_credentials')
  }
}

module.exports = RepositoryCredentialsSchema
