'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema')

class WebhooksSchema extends Schema {
  up () {
    this.create('webhooks', (table) => {
      table.increments()
      table.string('name').notNullable();
      table.boolean('active');
      table.integer('gitlab_repository_id').unsigned().notNullable();
      table.integer('repository_credentials_id').unsigned().nullable();
      table.text('url').notNullable();
      table.string('method').notNullable().defaultTo('get');
      table.boolean('validate_ssl');
      table.text('auth_username').nullable();
      table.text('auth_password').nullable();
      table.text('headers').nullable();
      table.string('body_type').notNullable();
      table.text('body').nullable();
      table.timestamps()
    })
  }

  down () {
    this.drop('webhooks')
  }
}

module.exports = WebhooksSchema
