'use strict'

const { ServiceProvider } = require('@adonisjs/fold')

class VersionProvider extends ServiceProvider {
  /**
   * Register namespaces to the IoC container
   *
   * @method register
   *
   * @return {void}
   */
  register () {
    this.app.singleton('version', () => {
      const Helpers = use('Helpers');
      const versionPath = Helpers.appRoot('version.txt');
      const fs = require('fs');
      try {
        if (fs.existsSync(versionPath)) {
            const version = fs.readFileSync(versionPath,'utf8');
            return version;
        } else {
          return null;
        }
      } catch (error) {
          return null;
      }
    });
  }

  /**
   * Attach context getter when all providers have
   * been registered
   *
   * @method boot
   *
   * @return {void}
   */
  boot () {
    //
  }
}

module.exports = VersionProvider
