import Vue from 'vue';
import vuetify from './plugins/vutify';
import router from './plugins/router';
import App from './App';
import vueHeadful from 'vue-headful';
import './plugins/progress';
import './plugins/api';
import { library } from '@fortawesome/fontawesome-svg-core';
import { fas } from '@fortawesome/free-solid-svg-icons';
import { fab } from '@fortawesome/free-brands-svg-icons';
import { far } from '@fortawesome/free-regular-svg-icons';
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome';
import VueClipboard from 'vue-clipboard2';

Vue.config.productionTip = false;
library.add(fas, fab, far);

Vue.component('vue-headful', vueHeadful);
Vue.component('font-awesome-icon', FontAwesomeIcon);
Vue.use(VueClipboard);

new Vue({
  el: '#app',
  router,
  vuetify,
  template: '<App/>',
  components: { App }
});
  