const { hooks } = require('@adonisjs/ignitor')

hooks.after.providersRegistered(() => {
    const Response = use('Adonis/Src/Response')
    Response.macro('api', function (status, body, errors) {
        let pstatus;
        if (status < 300) {
            pstatus = 'SUCCESS';
        }
        else if (status < 400) {
            pstatus = 'REDIRECT';
        }
        else {
            pstatus = 'FAILURE';
        }
        const payload = {
            status: pstatus,
            code: status,
            errors: errors
        };
        if ('undefined' !== typeof(body) && null !== body) {
            payload.body = body;
        }
        this.status(status);
        this.json(payload);
    });
    Response.macro('bash', function (status, body, errors) {
        this.status(200);
        if (body == null) {
            body = '';
        }
        this.type('text/x-shellscript');
        let payload = `#!/bin/sh\n`;
        let exitCode = 0;
        if (status < 300) {
            payload += `##\n# Hermes Operation Successful\n##\n${body.toString()}`;
        }
        else {
            payload += `##\n# Hermes Operation Failed\n##\n${body.toString()}`;
            exitCode = status;
        }
        if (Array.isArray(errors) && errors.length > 0) {
            payload += `echo ""\necho "The following errors were encountered:"\n`
            for (let i = 0; i < errors.length; i++) {
                const err = errors[i];
                payload += `\necho "${err.message}"\necho ""`;
            }
        }
        // payload += `\nexit ${exitCode}\n`;
        this.send(payload);
    });

    const Validator = use('Validator')
    const Database = use('Database')
    const existsFn = async (data, field, message, args, get) => {
        const value = get(data, field)
        if (!value) {
          return;
        }
        const [table, column] = args;
        const row = await Database.table(table).where(column, value).first()
        if (!row) {
          throw message;
        }
    }
    Validator.extend('exists', existsFn)
});

hooks.after.httpServer( () => {
    require('../app/Services/socket.io');
});