const mkdirp = require('mkdirp');
mkdirp.sync(__dirname + '/public');

const conf = {
  runtimeCompiler: true,
  productionSourceMap: false,
  configureWebpack: {
    resolve: {
      alias: {
        '@': __dirname + '/resources/src'
      }
    },
    entry: {
      app: './resources/src/main.js'
    },
  },
  publicPath: '/',
  outputDir: __dirname + '/public',
  chainWebpack: config => {
    config.plugin('html').tap((options) => {
      if (Array.isArray(options) && options.length > 0) {
        options[0].template = __dirname + '/resources/public/index.html';
      }
      return options;
    });
    config.plugin('copy').tap(([options]) => {
      if (Array.isArray(options) && options.length > 0) {
        options[0].from = __dirname + '/resources/public';
        options[0].ignore = ['index.html', '.DS_Store'];
      }
      return [options];
    });
  },
  css: {
    loaderOptions: {
      sass: {
        implementation: require('sass'), // This line must in sass option
      },
    },
  },
};
module.exports = conf;
